/* NSArray_Ranges.m created by eb on Mon 19-Apr-1999 */

#import "NSArray_Ranges.h"
#import "NSValue_Ranges.h"

@implementation NSArray(Ranges)
- (NSString *) rangeArrayDescription
{
  NSEnumerator *values = [self objectEnumerator];
  NSValue *value;
  NSRange range;
  NSMutableString *string = [NSMutableString stringWithFormat: @"("];
  BOOL firstTime = YES;

  while(value = [values nextObject]){
    range = [value rangeValue];
    if(firstTime){
      [string appendString: NSStringFromRange(range)];
      firstTime = NO;
    }else{
      [string appendString:
        [NSString stringWithFormat: @", %@",NSStringFromRange(range)]];
    }

  }
  [string appendString: @")"];

  return string;
}
@end
